package game

type Config any

func NewConfig(point int) Config {
	switch point {
	case 10:
		return ConfigPush{}
	case 11:
		return ConfigWait{}
	case 5:
		return LaserConfig{}
	default:
		return nil
	}
}

var C Config
